# Functor CamomileLibrary.CharEncoding.Interface.Make

    module Make: functor (Text : CamomileLibrary.UnicodeString.Type) -> Type  with type text = Text.t

Parameters: |
`Text` | : | `CamomileLibrary.UnicodeString.Type`

    type text

    val decode : CamomileLibrary.CharEncoding.Interface.t ->
           string -> text

`decode enc s` converts the string `s` encoded by the encoding `enc` to the Unicode text.

    val encode : CamomileLibrary.CharEncoding.Interface.t ->
           text -> string

`encode enc t` converts the Unicode text `t` to the string by the encoding `enc`.